com.tibco.ftl

## Class Version

- java.lang.Object
- - com.tibco.ftl.Version

-     public class Version
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TIB_VERSION_BANNER`
    `static int` | `TIB_VERSION_JNI_COMPAT_NUM`
    `static int` | `TIB_VERSION_MAJOR_NUM`
    `static java.lang.String` | `TIB_VERSION_MAJOR_STRING`
    `static int` | `TIB_VERSION_MINOR_NUM`
    `static java.lang.String` | `TIB_VERSION_MINOR_STRING`
    `static java.lang.String` | `TIB_VERSION_STRING_COMPARE`
    `static java.lang.String` | `TIB_VERSION_STRING_LONG`
    `static java.lang.String` | `TIB_VERSION_STRING_SHORT`
    `static int` | `TIB_VERSION_UPDATE_NUM`
    `static java.lang.String` | `TIB_VERSION_UPDATE_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIB_VERSION_MAJOR_NUM

          public static final int TIB_VERSION_MAJOR_NUM

      See Also:
        Constant Field Values

    - #### TIB_VERSION_MINOR_NUM

          public static final int TIB_VERSION_MINOR_NUM

      See Also:
        Constant Field Values

    - #### TIB_VERSION_UPDATE_NUM

          public static final int TIB_VERSION_UPDATE_NUM

      See Also:
        Constant Field Values

    - #### TIB_VERSION_JNI_COMPAT_NUM

          public static final int TIB_VERSION_JNI_COMPAT_NUM

      See Also:
        Constant Field Values

    - #### TIB_VERSION_MAJOR_STRING

          public static final java.lang.String TIB_VERSION_MAJOR_STRING

      See Also:
        Constant Field Values

    - #### TIB_VERSION_MINOR_STRING

          public static final java.lang.String TIB_VERSION_MINOR_STRING

      See Also:
        Constant Field Values

    - #### TIB_VERSION_UPDATE_STRING

          public static final java.lang.String TIB_VERSION_UPDATE_STRING

      See Also:
        Constant Field Values

    - #### TIB_VERSION_STRING_COMPARE

          public static final java.lang.String TIB_VERSION_STRING_COMPARE

      See Also:
        Constant Field Values

    - #### TIB_VERSION_STRING_SHORT

          public static final java.lang.String TIB_VERSION_STRING_SHORT

      See Also:
        Constant Field Values

    - #### TIB_VERSION_STRING_LONG

          public static final java.lang.String TIB_VERSION_STRING_LONG

      See Also:
        Constant Field Values

    - #### TIB_VERSION_BANNER

          public static final java.lang.String TIB_VERSION_BANNER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Version

          public Version()